package ru.yandex.direct.web.validation.model;

import com.fasterxml.jackson.annotation.JsonProperty;

public class WebDefect {
    @JsonProperty
    private String path;
    @JsonProperty
    private String code;
    @JsonProperty
    private String text;
    @JsonProperty
    private String value;
    @JsonProperty
    private Object params;
    @JsonProperty
    private String description;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Object getParams() {
        return params;
    }

    public void setParams(Object params) {
        this.params = params;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public WebDefect withParams(Object params) {
        this.params = params;
        return this;
    }

    public WebDefect withCode(String code) {
        this.code = code;
        return this;
    }

    public WebDefect withText(String text) {
        this.text = text;
        return this;
    }

    public WebDefect withDescription(String description) {
        this.description = description;
        return this;
    }

    public WebDefect withPath(String path) {
        this.path = path;
        return this;
    }

    public String getValue() {
        return value;
    }

    public WebDefect withValue(String value) {
        this.value = value;
        return this;
    }
}
